<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="tool_bar_style" parent="Base.Widget.AppCompat.Toolbar">
        <item name="contentInsetLeft">0dp</item>
        <item name="contentInsetStart">0dp</item>
        <item name="contentInsetStartWithNavigation">0dp</item>
        <item name="titleTextColor">@color/common_txt_color</item>
        <item name="titleTextAppearance">@style/Toolbar.TitleText</item>
    </style>

    <style name="Toolbar.TitleText" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">18sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:gravity">center</item>
    </style>

    <style name="myToolbarNavigationButtonStyle" parent="@style/Widget.AppCompat.Toolbar.Button.Navigation">
        <item name="android:minWidth">0dp</item>
        <item name="android:paddingLeft">12dp</item>
    </style>

    <style name="Theme.Common.Dialog" parent="Theme.MaterialComponents.Light.Dialog">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryVariant">@color/colorPrimaryVariant</item>
        <item name="colorOnPrimary">@color/white</item>

        <!-- Customize your theme here. -->
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:backgroundDimAmount">0.7</item>

        <item name="android:windowAnimationStyle">@style/Animation.CommonDialog</item>
    </style>

    <style name="Theme.Common.BottomSheetDialog" parent="Theme.MaterialComponents.Light.BottomSheetDialog">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryVariant">@color/colorPrimaryVariant</item>
        <item name="colorOnPrimary">@color/white</item>

        <!-- Customize your theme here. -->
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:backgroundDimAmount">0.7</item>
    </style>

    <style name="Animation.CommonDialog" parent="Animation.AppCompat.Dialog">
        <item name="android:windowEnterAnimation">@anim/anim_alpha_in</item>
        <item name="android:windowExitAnimation">@anim/anim_alpha_out</item>
    </style>


    <style name="Tool_Bar_Title_Txt">
        <item name="android:textSize">17sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/common_txt_color</item>
        <item name="android:layout_gravity">center</item>
    </style>


</resources>